/*
 * Gearsystem - Sega Master System / Game Gear Emulator
 * Copyright (C) 2013  Ignacio Sanchez

 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses/ 
 * 
 */

#ifndef OPCODEDDCB_NAMES_H
#define	OPCODEDDCB_NAMES_H

#ifdef DISASM_GEARSYSTEM

static const char* kOPCodeDDCBNames[256] = {
    "RLC (IX+d),B (UNDOCUMENTED)",
    "RLC (IX+d),C (UNDOCUMENTED)",
    "RLC (IX+d),D (UNDOCUMENTED)",
    "RLC (IX+d),E (UNDOCUMENTED)",
    "RLC (IX+d),H (UNDOCUMENTED)",
    "RLC (IX+d),L (UNDOCUMENTED)",
    "RLC (IX+d)",
    "RLC (IX+d),A (UNDOCUMENTED)",
    "RRC (IX+d),B (UNDOCUMENTED)",
    "RRC (IX+d),C (UNDOCUMENTED)",
    "RRC (IX+d),D (UNDOCUMENTED)",
    "RRC (IX+d),E (UNDOCUMENTED)",
    "RRC (IX+d),H (UNDOCUMENTED)",
    "RRC (IX+d),L (UNDOCUMENTED)",
    "RRC (IX+d)",
    "RRC (IX+d),A (UNDOCUMENTED)",

    "RL (IX+d),B (UNDOCUMENTED)",
    "RL (IX+d),C (UNDOCUMENTED)",
    "RL (IX+d),D (UNDOCUMENTED)",
    "RL (IX+d),E (UNDOCUMENTED)",
    "RL (IX+d),H (UNDOCUMENTED)",
    "RL (IX+d),L (UNDOCUMENTED)",
    "RL (IX+d)",
    "RL (IX+d),A (UNDOCUMENTED)",
    "RR (IX+d),B (UNDOCUMENTED)",
    "RR (IX+d),C (UNDOCUMENTED)",
    "RR (IX+d),D (UNDOCUMENTED)",
    "RR (IX+d),E (UNDOCUMENTED)",
    "RR (IX+d),H (UNDOCUMENTED)",
    "RR (IX+d),L (UNDOCUMENTED)",
    "RR (IX+d)",
    "RR (IX+d),A (UNDOCUMENTED)",

    "SLA (IX+d),B (UNDOCUMENTED)",
    "SLA (IX+d),C (UNDOCUMENTED)",
    "SLA (IX+d),D (UNDOCUMENTED)",
    "SLA (IX+d),E (UNDOCUMENTED)",
    "SLA (IX+d),H (UNDOCUMENTED)",
    "SLA (IX+d),L (UNDOCUMENTED)",
    "SLA (IX+d)",
    "SLA (IX+d),A (UNDOCUMENTED)",
    "SRA (IX+d),B (UNDOCUMENTED)",
    "SRA (IX+d),C (UNDOCUMENTED)",
    "SRA (IX+d),D (UNDOCUMENTED)",
    "SRA (IX+d),E (UNDOCUMENTED)",
    "SRA (IX+d),H (UNDOCUMENTED)",
    "SRA (IX+d),L (UNDOCUMENTED)",
    "SRA (IX+d)",
    "SRA (IX+d),A (UNDOCUMENTED)",

    "SLL (IX+d),B (UNDOCUMENTED)",
    "SLL (IX+d),C (UNDOCUMENTED)",
    "SLL (IX+d),D (UNDOCUMENTED)",
    "SLL (IX+d),E (UNDOCUMENTED)",
    "SLL (IX+d),H (UNDOCUMENTED)",
    "SLL (IX+d),L (UNDOCUMENTED)",
    "SLL (IX+d) (UNDOCUMENTED)",
    "SLL (IX+d),A (UNDOCUMENTED)",
    "SRL (IX+d),B (UNDOCUMENTED)",
    "SRL (IX+d),C (UNDOCUMENTED)",
    "SRL (IX+d),D (UNDOCUMENTED)",
    "SRL (IX+d),E (UNDOCUMENTED)",
    "SRL (IX+d),H (UNDOCUMENTED)",
    "SRL (IX+d),L (UNDOCUMENTED)",
    "SRL (IX+d)",
    "SRL (IX+d),A (UNDOCUMENTED)",

    "BIT 0,(IX+d) (UNDOCUMENTED)",
    "BIT 0,(IX+d) (UNDOCUMENTED)",
    "BIT 0,(IX+d) (UNDOCUMENTED)",
    "BIT 0,(IX+d) (UNDOCUMENTED)",
    "BIT 0,(IX+d) (UNDOCUMENTED)",
    "BIT 0,(IX+d) (UNDOCUMENTED)",
    "BIT 0,(IX+d)",
    "BIT 0,(IX+d) (UNDOCUMENTED)",
    "BIT 1,(IX+d) (UNDOCUMENTED)",
    "BIT 1,(IX+d) (UNDOCUMENTED)",
    "BIT 1,(IX+d) (UNDOCUMENTED)",
    "BIT 1,(IX+d) (UNDOCUMENTED)",
    "BIT 1,(IX+d) (UNDOCUMENTED)",
    "BIT 1,(IX+d) (UNDOCUMENTED)",
    "BIT 1,(IX+d)",
    "BIT 1,(IX+d) (UNDOCUMENTED)",

    "BIT 2,(IX+d) (UNDOCUMENTED)",
    "BIT 2,(IX+d) (UNDOCUMENTED)",
    "BIT 2,(IX+d) (UNDOCUMENTED)",
    "BIT 2,(IX+d) (UNDOCUMENTED)",
    "BIT 2,(IX+d) (UNDOCUMENTED)",
    "BIT 2,(IX+d) (UNDOCUMENTED)",
    "BIT 2,(IX+d)",
    "BIT 2,(IX+d) (UNDOCUMENTED)",
    "BIT 3,(IX+d) (UNDOCUMENTED)",
    "BIT 3,(IX+d) (UNDOCUMENTED)",
    "BIT 3,(IX+d) (UNDOCUMENTED)",
    "BIT 3,(IX+d) (UNDOCUMENTED)",
    "BIT 3,(IX+d) (UNDOCUMENTED)",
    "BIT 3,(IX+d) (UNDOCUMENTED)",
    "BIT 3,(IX+d)",
    "BIT 3,(IX+d) (UNDOCUMENTED)",

    "BIT 4,(IX+d) (UNDOCUMENTED)",
    "BIT 4,(IX+d) (UNDOCUMENTED)",
    "BIT 4,(IX+d) (UNDOCUMENTED)",
    "BIT 4,(IX+d) (UNDOCUMENTED)",
    "BIT 4,(IX+d) (UNDOCUMENTED)",
    "BIT 4,(IX+d) (UNDOCUMENTED)",
    "BIT 4,(IX+d)",
    "BIT 4,(IX+d) (UNDOCUMENTED)",
    "BIT 5,(IX+d) (UNDOCUMENTED)",
    "BIT 5,(IX+d) (UNDOCUMENTED)",
    "BIT 5,(IX+d) (UNDOCUMENTED)",
    "BIT 5,(IX+d) (UNDOCUMENTED)",
    "BIT 5,(IX+d) (UNDOCUMENTED)",
    "BIT 5,(IX+d) (UNDOCUMENTED)",
    "BIT 5,(IX+d)",
    "BIT 5,(IX+d) (UNDOCUMENTED)",

    "BIT 6,(IX+d) (UNDOCUMENTED)",
    "BIT 6,(IX+d) (UNDOCUMENTED)",
    "BIT 6,(IX+d) (UNDOCUMENTED)",
    "BIT 6,(IX+d) (UNDOCUMENTED)",
    "BIT 6,(IX+d) (UNDOCUMENTED)",
    "BIT 6,(IX+d) (UNDOCUMENTED)",
    "BIT 6,(IX+d)",
    "BIT 6,(IX+d) (UNDOCUMENTED)",
    "BIT 7,(IX+d) (UNDOCUMENTED)",
    "BIT 7,(IX+d) (UNDOCUMENTED)",
    "BIT 7,(IX+d) (UNDOCUMENTED)",
    "BIT 7,(IX+d) (UNDOCUMENTED)",
    "BIT 7,(IX+d) (UNDOCUMENTED)",
    "BIT 7,(IX+d) (UNDOCUMENTED)",
    "BIT 7,(IX+d)",
    "BIT 7,(IX+d) (UNDOCUMENTED)",

    "RES 0,(IX+d),B (UNDOCUMENTED)",
    "RES 0,(IX+d),C (UNDOCUMENTED)",
    "RES 0,(IX+d),D (UNDOCUMENTED)",
    "RES 0,(IX+d),E (UNDOCUMENTED)",
    "RES 0,(IX+d),H (UNDOCUMENTED)",
    "RES 0,(IX+d),L (UNDOCUMENTED)",
    "RES 0,(IX+d)",
    "RES 0,(IX+d),A (UNDOCUMENTED)",
    "RES 1,(IX+d),B (UNDOCUMENTED)",
    "RES 1,(IX+d),C (UNDOCUMENTED)",
    "RES 1,(IX+d),D (UNDOCUMENTED)",
    "RES 1,(IX+d),E (UNDOCUMENTED)",
    "RES 1,(IX+d),H (UNDOCUMENTED)",
    "RES 1,(IX+d),L (UNDOCUMENTED)",
    "RES 1,(IX+d)",
    "RES 1,(IX+d),A (UNDOCUMENTED)",

    "RES 2,(IX+d),B (UNDOCUMENTED)",
    "RES 2,(IX+d),C (UNDOCUMENTED)",
    "RES 2,(IX+d),D (UNDOCUMENTED)",
    "RES 2,(IX+d),E (UNDOCUMENTED)",
    "RES 2,(IX+d),H (UNDOCUMENTED)",
    "RES 2,(IX+d),L (UNDOCUMENTED)",
    "RES 2,(IX+d)",
    "RES 2,(IX+d),A (UNDOCUMENTED)",
    "RES 3,(IX+d),B (UNDOCUMENTED)",
    "RES 3,(IX+d),C (UNDOCUMENTED)",
    "RES 3,(IX+d),D (UNDOCUMENTED)",
    "RES 3,(IX+d),E (UNDOCUMENTED)",
    "RES 3,(IX+d),H (UNDOCUMENTED)",
    "RES 3,(IX+d),L (UNDOCUMENTED)",
    "RES 3,(IX+d)",
    "RES 3,(IX+d),A (UNDOCUMENTED)",

    "RES 4,(IX+d),B (UNDOCUMENTED)",
    "RES 4,(IX+d),C (UNDOCUMENTED)",
    "RES 4,(IX+d),D (UNDOCUMENTED)",
    "RES 4,(IX+d),E (UNDOCUMENTED)",
    "RES 4,(IX+d),H (UNDOCUMENTED)",
    "RES 4,(IX+d),L (UNDOCUMENTED)",
    "RES 4,(IX+d)",
    "RES 4,(IX+d),A (UNDOCUMENTED)",
    "RES 5,(IX+d),B (UNDOCUMENTED)",
    "RES 5,(IX+d),C (UNDOCUMENTED)",
    "RES 5,(IX+d),D (UNDOCUMENTED)",
    "RES 5,(IX+d),E (UNDOCUMENTED)",
    "RES 5,(IX+d),H (UNDOCUMENTED)",
    "RES 5,(IX+d),L (UNDOCUMENTED)",
    "RES 5,(IX+d)",
    "RES 5,(IX+d),A (UNDOCUMENTED)",

    "RES 6,(IX+d),B (UNDOCUMENTED)",
    "RES 6,(IX+d),C (UNDOCUMENTED)",
    "RES 6,(IX+d),D (UNDOCUMENTED)",
    "RES 6,(IX+d),E (UNDOCUMENTED)",
    "RES 6,(IX+d),H (UNDOCUMENTED)",
    "RES 6,(IX+d),L (UNDOCUMENTED)",
    "RES 6,(IX+d)",
    "RES 6,(IX+d),A (UNDOCUMENTED)",
    "RES 7,(IX+d),B (UNDOCUMENTED)",
    "RES 7,(IX+d),C (UNDOCUMENTED)",
    "RES 7,(IX+d),D (UNDOCUMENTED)",
    "RES 7,(IX+d),E (UNDOCUMENTED)",
    "RES 7,(IX+d),H (UNDOCUMENTED)",
    "RES 7,(IX+d),L (UNDOCUMENTED)",
    "RES 7,(IX+d)",
    "RES 7,(IX+d),A (UNDOCUMENTED)",

    "SET 0,(IX+d),B (UNDOCUMENTED)",
    "SET 0,(IX+d),C (UNDOCUMENTED)",
    "SET 0,(IX+d),D (UNDOCUMENTED)",
    "SET 0,(IX+d),E (UNDOCUMENTED)",
    "SET 0,(IX+d),H (UNDOCUMENTED)",
    "SET 0,(IX+d),L (UNDOCUMENTED)",
    "SET 0,(IX+d)",
    "SET 0,(IX+d),A (UNDOCUMENTED)",
    "SET 1,(IX+d),B (UNDOCUMENTED)",
    "SET 1,(IX+d),C (UNDOCUMENTED)",
    "SET 1,(IX+d),D (UNDOCUMENTED)",
    "SET 1,(IX+d),E (UNDOCUMENTED)",
    "SET 1,(IX+d),H (UNDOCUMENTED)",
    "SET 1,(IX+d),L (UNDOCUMENTED)",
    "SET 1,(IX+d)",
    "SET 1,(IX+d),A (UNDOCUMENTED)",

    "SET 2,(IX+d),B (UNDOCUMENTED)",
    "SET 2,(IX+d),C (UNDOCUMENTED)",
    "SET 2,(IX+d),D (UNDOCUMENTED)",
    "SET 2,(IX+d),E (UNDOCUMENTED)",
    "SET 2,(IX+d),H (UNDOCUMENTED)",
    "SET 2,(IX+d),L (UNDOCUMENTED)",
    "SET 2,(IX+d)",
    "SET 2,(IX+d),A (UNDOCUMENTED)",
    "SET 3,(IX+d),B (UNDOCUMENTED)",
    "SET 3,(IX+d),C (UNDOCUMENTED)",
    "SET 3,(IX+d),D (UNDOCUMENTED)",
    "SET 3,(IX+d),E (UNDOCUMENTED)",
    "SET 3,(IX+d),H (UNDOCUMENTED)",
    "SET 3,(IX+d),L (UNDOCUMENTED)",
    "SET 3,(IX+d)",
    "SET 3,(IX+d),A (UNDOCUMENTED)",

    "SET 4,(IX+d),B (UNDOCUMENTED)",
    "SET 4,(IX+d),C (UNDOCUMENTED)",
    "SET 4,(IX+d),D (UNDOCUMENTED)",
    "SET 4,(IX+d),E (UNDOCUMENTED)",
    "SET 4,(IX+d),H (UNDOCUMENTED)",
    "SET 4,(IX+d),L (UNDOCUMENTED)",
    "SET 4,(IX+d)",
    "SET 4,(IX+d),A (UNDOCUMENTED)",
    "SET 5,(IX+d),B (UNDOCUMENTED)",
    "SET 5,(IX+d),C (UNDOCUMENTED)",
    "SET 5,(IX+d),D (UNDOCUMENTED)",
    "SET 5,(IX+d),E (UNDOCUMENTED)",
    "SET 5,(IX+d),H (UNDOCUMENTED)",
    "SET 5,(IX+d),L (UNDOCUMENTED)",
    "SET 5,(IX+d)",
    "SET 5,(IX+d),A (UNDOCUMENTED)",

    "SET 6,(IX+d),B (UNDOCUMENTED)",
    "SET 6,(IX+d),C (UNDOCUMENTED)",
    "SET 6,(IX+d),D (UNDOCUMENTED)",
    "SET 6,(IX+d),E (UNDOCUMENTED)",
    "SET 6,(IX+d),H (UNDOCUMENTED)",
    "SET 6,(IX+d),L (UNDOCUMENTED)",
    "SET 6,(IX+d)",
    "SET 6,(IX+d),A (UNDOCUMENTED)",
    "SET 7,(IX+d),B (UNDOCUMENTED)",
    "SET 7,(IX+d),C (UNDOCUMENTED)",
    "SET 7,(IX+d),D (UNDOCUMENTED)",
    "SET 7,(IX+d),E (UNDOCUMENTED)",
    "SET 7,(IX+d),H (UNDOCUMENTED)",
    "SET 7,(IX+d),L (UNDOCUMENTED)",
    "SET 7,(IX+d)",
    "SET 7,(IX+d),A (UNDOCUMENTED)"
};

#endif

#endif	/* OPCODEDDCB_NAMES_H */
